/*
********************************************************************************
* COPYRIGHT(c)    ϻ, 2018
* 
*        (as is).
*     .
********************************************************************************
*/


#ifndef __LED_H
#define __LED_H


#include "NeoRelay_board.h"


//
#define       LED_TIMER                    TIM16
#define       LED_TIMER_ENR                APB2ENR
#define       LED_TIMER_CLK_EN             RCC_APB2ENR_TIM16EN
#define       LED_TIMER_PSC                3999
#define       LED_TIMER_ARR                1199
#define       LED_TIMER_IRQ                TIM16_IRQn



void LED_Init();

void LED_ON();

void LED_OFF();

void LED_StartBlink();

void TIM16_IRQHandler();


#endif //__LED_H