/*
********************************************************************************
* COPYRIGHT(c)    ϻ, 2019
* 
*        (as is).
*     .
********************************************************************************
*/


#ifndef __RELAY_H
#define __RELAY_H

#include "NeoRelay_board.h"


#define       RELAY_STATE_ON               (1 << 0)



typedef struct 
{
  GPIO_TypeDef*      GPIO;
  uint8_t            Pin;
  volatile uint8_t   State;
  
} RelayType;




void Relay_Init();

void Relay_ON(uint8_t RelayNum);

void Relay_OFF(uint8_t RelayNum);

void Relay_ChangeState(uint8_t RelayNum);


#endif //__RELAY_H